%define major 1
%define libname %mklibname magic %{major}
%define devname %mklibname magic -d
%define staticname %mklibname magic -d -s

Summary:	A utility for determining file types
Name:		file
Version:	5.19
Release:	3
License:	BSD
Group:		File tools
Url:		http://www.darwinsys.com/file/
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
Patch0:		file-rpm-locale.patch
# Looks like upstream is trying to encode utf-8 string to utf-8 once more
# This leads to 
# UnicodeDecodeError: 'ascii' codec can't decode byte X in position Y:
# ordinal not in range(128)
Patch1:		file-5.19-unicode.patch
Patch3:		file-4.24-selinux.patch
Patch4:		file-5.04-oracle.patch
Patch7:		file-5.05-dump.patch
Patch8:		file-5.15-berkeleydb.patch
Patch9:		file-4.20-xen.patch
Patch13:	file-5.15-images.patch
Patch14:	file-4.20-apple.patch
Patch15:	file-5.18-strength.patch
Patch16:	file-5.19-image-fmt-widths.patch
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%files
%doc README MAINT ChangeLog
%{_bindir}/*
%{_datadir}/misc/*
%{_mandir}/man1/*
%{_mandir}/man4/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for handling magic files
Group:		System/Libraries

%description -n %{libname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

%files -n %{libname}
%{_libdir}/libmagic.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files to build applications that handle magic files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	magic-devel = %{EVRD}

%description -n %{devname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

%files -n %{devname}
%{_libdir}/libmagic.so
%{_includedir}/*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n %{staticname}
Summary:	Static library to build applications that handle magic files
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	magic-static-devel = %{EVRD}

%description -n %{staticname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

%files -n %{staticname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%package -n python-magic
Summary:	Python module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{EVRD}

%description -n python-magic
Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

This package contains the python binding for libmagic.

%files -n python-magic
%doc python/README python/example.py
%{py_puresitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .rpm-locale~
%patch1 -p1 -b .encoding~
%patch3 -p1 -b .selinux~
%patch4 -p1 -b .oracle~
%patch7 -p1 -b .dump~
%patch8 -p1 -b .berkeley~
%patch9 -p1 -b .xen~
%patch13 -p1 -b .images~
%patch14 -p0 -b .apple~
%patch15 -p1 -b .c_strength~
%patch16 -p1 -b .image-fmt~

%build
autoreconf -fi
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure2_5x --enable-static
%make

pushd python
python setup.py build
popd

%install
%makeinstall_std

# install one missing header file
install -m644 src/file.h -D %{buildroot}%{_includedir}/file.h

pushd python
python setup.py install --prefix=%{buildroot}%{_prefix}
popd


%changelog
* Mon Aug 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19-3
+ Revision: 323c625
- Add patch to fix encoding issues with python bindings


